import { type ComputedRef, type Ref } from 'vue';
import type { OnPaneAdd, Size, onPaneUpdate } from '@/components/hive-splitter/types';
interface PaneConfig {
    size: Size;
    minSize: Size;
    maxSize: Size;
}
interface PaneExport {
    onPaneUpdate: onPaneUpdate | undefined;
    onPaneAdd: OnPaneAdd | undefined;
    updatedStyle: Ref<Record<string, string>>;
    updateStyle: (newStyle: Record<string, string>) => void;
    formattedSize: ComputedRef<null | Size>;
    formattedMinSize: ComputedRef<null | Size>;
    formattedMaxSize: ComputedRef<null | Size>;
}
export default function useHivePane({ size, minSize, maxSize }: PaneConfig): PaneExport;
export {};
